org.eclipse.cdt.core.dom.ast

## Interface IASTPreprocessorUndefStatement

All Superinterfaces:
  IASTNode, IASTPreprocessorStatement

    public interface IASTPreprocessorUndefStatement
    extends IASTPreprocessorStatement

This interface represents a preprocessor #undef statement.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTPreprocessorStatement

`MACRO_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTName` `getMacroName()` Returns the reference to the macro, or `null`.
`boolean` `isActive()` Returns whether this macro definition occurs in active code.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### getMacroName

    IASTName getMacroName()

Returns the reference to the macro, or `null`.

#### isActive

    boolean isActive()

Returns whether this macro definition occurs in active code.

Specified by:
  `isActive` in interface `IASTNode`
Since:
  5.1